Surprising parser error:  INT+DOT+IDENTIFIER
Status: New Start date: 08 Mar 2020

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.20 hour

Description

CoCoA correctly gives a parse error given the input 8.a;

The error message is:

--> ERROR: Expecting type RECORD or PACKAGE, but found type INT

--> 8.a;

--> ^

 

With the input a.8; we get the error message:

--> ERROR: I was expecting an identifier but I've found the number "8" 

--> a.8;

-->   ^

 

Are these error messages OK?   Should we, could we, make them clearer?

History

#1 - 08 Mar 2020 09:24 - John Abbott

I found this behaviour after deliberately feeding random input to CoCoA-5.  It survived  :-)

#2 - 09 Mar 2020 07:31 - Anna Maria Bigatti

vandal ;-)

#3 - 04 Nov 2021 23:10 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
